# Global Class Reference

### [com.trolltech.qt.core package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The Global prototype object
- QtDebugMsg
- QtWarningMsg
- QtCriticalMsg
- QtFatalMsg
- QtMsgType( value )

### Instance Properties

Global objects have no special properties beyond those inherited from the Global prototype object.